Summary: A GNU Emacs major mode for editing SGML documents.
name: psgml
Version: 1.2.5
Release: 4.3
Prereq: sgml-common
License: GPL
Source: ftp://ftp.lysator.liu.se/pub/sgml/psgml-%{version}.tar.gz
Patch0: psgml-install-info.patch
Group: Applications/Editors
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Prefix: /usr
%define psgmldir %{prefix}/share/emacs/site-lisp/psgml/

BuildRequires: emacs

%description
Emacs is an advanced and extensible editor. An Emacs major mode
customizes Emacs for editing particular types of text documents. PSGML
is a major mode for SGML (a markup language) documents.  PSGML
provides several functionalities for editing SGML documents:
indentation according to element nesting depth and identification of
structural errors (but it is not a validating SGML parser); menus and
commands for inserting tags with only the contextually valid tags;
attribute values can be edited in a separate window with information
about types and defaults; structure based editing includes movement
and killing; and also several commands for folding editing.


%prep
%setup -q
%patch0 -p1 -b .install-info

%build
# make sure we "find" etags in the installed place...
PATH=/usr/bin:$PATH ./configure --prefix=/usr
make infodir=%{_infodir} psgmldir=/usr/share/emacs/site-lisp/psgml
cat > psgml-init.el << __ELISP__
(setq load-path (append load-path '("/usr/share/emacs/site-lisp/psgml")))

(autoload 'sgml-mode "psgml" "Major mode for editing SGML." t)
(autoload 'xml-mode "psgml" "Major mode for editing XML." t)
(if (not (getenv "SGML_CATALOG_FILES"))
   (defvar sgml-catalog-files '("CATALOG" "catalog" "/etc/sgml/catalog" "%{prefix}/lib/sgml/CATALOG" "%{prefix}/lib/sgml-tools/dtd/catalog"))
  "*List of catalog entry files.
The files are in the format defined in the SGML Open Draft Technical
Resolution on Entity Management.")
(put 'sgml-catalog-files 'sgml-type 'list)

__ELISP__


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{psgmldir}
mkdir -p $RPM_BUILD_ROOT%{_infodir}
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/sgml/cdtd

touch $RPM_BUILD_ROOT%{_infodir}/dir

make install infodir=$RPM_BUILD_ROOT%{_infodir} \
  prefix=$RPM_BUILD_ROOT/%{prefix} \
  psgmldir=$RPM_BUILD_ROOT/%{psgmldir} \
  lispdir=$RPM_BUILD_ROOT/%{psgmldir}

make install-info infodir=$RPM_BUILD_ROOT%{_infodir}

gzip $RPM_BUILD_ROOT%{_infodir}/*.info

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d
install -m644 psgml-init.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
install-info --info-dir=%{_infodir} %{_infodir}/psgml.info
install-info --info-dir=%{_infodir} %{_infodir}/psgml-api.info
exit 0

%postun
if [ "$1" = 0 ] ; then
  install-info --info-dir=%{_infodir} --delete %{_infodir}/psgml.info
  install-info --info-dir=%{_infodir} --delete %{_infodir}/psgml-api.info
fi

%files
%defattr(-,root,root)
%doc psgml.ps README.psgml
%dir %{psgmldir}
%{psgmldir}/*
/usr/share/emacs/site-lisp/site-start.d/*
%{_infodir}/psgml*
%{prefix}/share/sgml/cdtd

%changelog
* Wed Jun 07 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 1.2.5-4.3
- rebuilt 

* Mon Feb 27 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 1.2.5-4.2
- fixed compilation

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Oct  6 2004 Jens Petersen <petersen@redhat.com> - 1.2.5-4
- drop requirement on emacs for emacs-nox users (Lars Hupfeldt Nielsen, 134479)

* Thu May 20 2004 Tim Waugh <twaugh@redhat.com> 1.2.5-3
- Build requires emacs (bug #123781).

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Oct 21 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add a %%clean specfile target

* Mon Apr  7 2003 Tim Waugh <twaugh@redhat.com> 1.2.5-1
- 1.2.5 (bug #88045).

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild in current collinst

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Feb 22 2002 Tim Waugh <twaugh@redhat.com> 1.2.3-3
- Rebuild in new environment.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 1.2.3-2
- automated rebuild

* Thu Nov 15 2001 Tim Waugh <twaugh@redhat.com> 1.2.3-1
- 1.2.3.  Incorporates both patches we had.

* Fri Nov  2 2001 Tim Waugh <twaugh@redhat.com> 1.2.2-4
- Make sure %%post scriplet doesn't fail if --excludedocs is used.

* Thu Nov  1 2001 Tim Waugh <twaugh@redhat.com> 1.2.2-3
- Apply patch to make it work with emacs 21 (bug #55094).

* Mon Oct  1 2001 Tim Waugh <twaugh@redhat.com> 1.2.2-2
- Own psgml directory (bug #51381).

* Tue Aug 21 2001 Tim Waugh <twaugh@redhat.com> 1.2.2-1
- s/Copyright/License/.
- 1.2.2.
- Apply multibyte patch so that DTD preparsing works with DocBook 4.0 up.

* Thu Jan 11 2001 Tim Waugh <twaugh@redhat.com>
- Search catalog and /etc/sgml/catalog too.
- Put cdtd in /usr/share/sgml not /usr/lib/sgml.

* Thu Nov 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use new emacs init scheme

* Mon Nov 13 2000 Tim Waugh <twaugh@redhat.com>
- autoload xml-mode (bug #20602)

* Thu Oct 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- don't try to touch the site-start.el file
- use %%{_tmppath}
- don't %%define %%version above the "Version: " part
  of the header

* Wed Aug 16 2000 Bill Nottingham <notting@redhat.com>
- tweak summary

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- rebuild for FHS stuff

* Wed Feb 16 2000 Bill Nottingham <notting@redhat.com>
- look in old sgml-tools dirs for catalogs, to catch linuxdoc

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Wed Jan  5 2000 Bill Nottingham <notting@redhat.com>
- clean up spec file some

* Wed Nov 24 1999 Tim Powers <timp@redhat.com>
- came in on my day off to buld this package, feel special?
- updated to 1.2.1

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group
- changed buildroot toe be in /var/tmp
- added %defattr

* Tue Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr 23 1999 Michael K. Johnson <johnsonm@redhat.com>
- PATH hack to protect "make install" from install-info
- %doc path fixed
- protect postun from uninstall
- Moved $V outside of '' so that it gets interpolated

* Thu Apr 22 1999 Owen Taylor <otaylor@redhat.com>
- Upgrade to psgml-1.0.3
- Made noarch

